### Index

initGenerator (src/.../generator.ts) provideSocketIo (src/.../provide.ts) provideSocketIoFromConfig (src/.../provide.ts) SocketFactory (src/.../socket-io.module.ts)

### src/generators/init/generator.ts

###

initGenerator
`initGenerator(tree: Tree, options: InitGeneratorSchema)`
Parameters :
Name | Type | Optional
tree | `Tree` | No
options | `InitGeneratorSchema` | No

### src/lib/provide.ts

###

provideSocketIo
`provideSocketIo(url: string, options: SocketIoOptions)`
Parameters :
Name | Type | Optional | Default value
url | `string` | No |
options | `SocketIoOptions` | No | `{}`
Returns : `Provider[]`

provideSocketIoFromConfig
`provideSocketIoFromConfig(urlKey: string, optionsKey: string)`
Parameters :
Name | Type | Optional | Default value
urlKey | `string` | No | `'socket.url'`
optionsKey | `string` | No | `'socket.options'`
Returns : `Provider[]`

### src/lib/socket-io.module.ts

###

SocketFactory
`SocketFactory(config: SocketIoConfig)`
Socket factory Parameters :
Name | Type | Optional
config | `SocketIoConfig` | No

# results matching ""

# No results matching ""